# Gimp.Drawable.get_by_id

    function get_by_id(drawable_id: Number(gint32)): Gimp.Drawable {
        // Gjs wrapper for gimp_drawable_get_by_id()
    }

Returns a Gimp.Drawable representing drawable_id. This function calls Gimp.Item.get_by_id and returns the item if it is drawable or null otherwise.

Since 3.0

drawable_id

  The drawable id.

Returns

  a Gimp.Drawable for drawable_id or null if drawable_id does not represent a valid drawable. The object belongs to libgimp and you must not modify or unref it.